<?xml version="1.0" encoding="utf-8" ?>
<!-- Copyright (C) 2012 Texas Instruments Inc.

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!--
    For documentation on syntax see device/samsung/tuna/media_codecs.xml
-->

<MediaCodecs>
    <Include href="media_codecs_google_audio.xml" />
   <Decoders>
        <MediaCodec name="OMX.TI.DUCATI1.VIDEO.DECODER" >
            <Quirk name="requires-allocate-on-input-ports"/>
            <Quirk name="requires-allocate-on-output-ports"/>

            <Type name="video/avc">
                <Limit name="size" min="64x64" max="1920x1088" />
                <Limit name="alignment" value="2x2" />
                <Limit name="block-size" value="16x16" />
                <Limit name="blocks-per-second" min="1" max="489600" />
                <Limit name="bitrate" range="1-62500000" />
                <Feature name="adaptive-playback" />
            </Type>

            <Type name="video/mp4v-es">
                <Limit name="size" min="64x64" max="1920x1088" />
                <Limit name="alignment" value="2x2" />
                <Limit name="block-size" value="16x16" />
                <Limit name="blocks-per-second" min="1" max="489600" />
                <Limit name="bitrate" range="1-62500000" />
            </Type>

            <Type name="video/3gpp">
                <Limit name="size" min="64x64" max="1920x1088" />
                <Limit name="alignment" value="2x2" />
                <Limit name="block-size" value="16x16" />
                <Limit name="blocks-per-second" min="1" max="489600" />
                <Limit name="bitrate" range="1-62500000" />
            </Type>

            <Type name="video/mpeg2">
                <Limit name="size" min="64x64" max="1920x1088" />
                <Limit name="alignment" value="2x2" />
                <Limit name="block-size" value="16x16" />
                <Limit name="blocks-per-second" min="1" max="489600" />
                <Limit name="bitrate" range="1-62500000" />
            </Type>
        </MediaCodec>
    </Decoders>
   <Encoders>
        <MediaCodec name="OMX.TI.DUCATI1.VIDEO.H264E" type="video/avc" >
            <Quirk name="requires-allocate-on-input-ports" />
            <Quirk name="requires-allocate-on-output-ports" />
            <Limit name="bitrate" range="1-50000000" />
            <Limit name="block-size" value="16x16" />
            <Limit name="alignment" value="16x16" />
            <Limit name="size" min="96x80" max="1920x1088" />
            <Limit name="blocks-per-second" min="1" max="489600" />
        </MediaCodec>
    </Encoders>
    <Include href="media_codecs_google_video.xml" />
</MediaCodecs>
